{
	"editor.defaultFormatter": "biomejs.biome",
	"workbench.colorTheme": "Default Dark+",
	"terminal.integrated.env.windows": {},
	"editor.formatOnSave": true,
	"editor.codeActionsOnSave": {
		"source.fixAll.biome": "explicit",
		"source.organizeImports.biome": "explicit"
	},
	"[javascript]": {
		"editor.formatOnSave": true
	},
	"[javascriptreact]": {
		"editor.formatOnSave": true
	},
	"[typescript]": {
		"editor.formatOnSave": true
	},
	"[typescriptreact]": {
		"editor.formatOnSave": true
	},
	"[json]": {
		"editor.formatOnSave": true
	},
	"[graphql]": {
		"editor.formatOnSave": true
	},
	"[handlebars]": {
		"editor.formatOnSave": true
	},
	"[go]": {
		"editor.formatOnSave": true,
		"editor.defaultFormatter": "golang.go"
	},
	"[powershell]": {
		"editor.formatOnSave": true,
		"editor.defaultFormatter": "ms-vscode.powershell" // requires PowerShell extension
	},
	"[bat]": {
		"editor.formatOnSave": true,
		"editor.defaultFormatter": "foxundermoon.shell-format" // supports .sh, .bat, .cmd
	},
	"[cmd]": {
		"editor.formatOnSave": true,
		"editor.defaultFormatter": "foxundermoon.shell-format"
	},

	// Optional: Configure goimports instead of gofmt
	"go.formatTool": "goimports",
	"cSpell.words": [
		"acitve",
		"alpla",
		"alplamart",
		"alplaprod",
		"intiallally",
		"ppoo",
		"prodlabels"
	],
	"gitea.token": "8456def90e1c651a761a8711763d6ef225d6b2db",
	"gitea.instanceURL": "https://git.tuffraid.net",
	"gitea.owner": "cowch",
	"gitea.repo": "lst"
}
